Package org.apache.el.lang

# Class VariableMapperImpl

java.lang.Object
javax.el.VariableMapper
org.apache.el.lang.VariableMapperImpl

All Implemented Interfaces:
  `Externalizable`, `Serializable`

public class VariableMapperImpl extends VariableMapper implements Externalizable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableMapperImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `readExternal(ObjectInput in)`
  `ValueExpression`
  `resolveVariable(String variable)`
  `ValueExpression`
  `setVariable(String variable, ValueExpression expression)`
  `void`
  `writeExternal(ObjectOutput out)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VariableMapperImpl

    public VariableMapperImpl()

- ## Method Details

  - ### resolveVariable

    public ValueExpression resolveVariable(String variable)
    Specified by:
      `resolveVariable` in class `VariableMapper`

  - ### setVariable

    public ValueExpression setVariable(String variable, ValueExpression expression)
    Specified by:
      `setVariable` in class `VariableMapper`

  - ### readExternal

    public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException
    Specified by:
      `readExternal` in interface `Externalizable`
    Throws:
      `IOException`
      `ClassNotFoundException`

  - ### writeExternal

    public void writeExternal(ObjectOutput out) throws IOException
    Specified by:
      `writeExternal` in interface `Externalizable`
    Throws:
      `IOException`